Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBruno Coudoin <bcoudoin@src.gnome.org>2008-09-28 14:47:07 (GMT)
committer Bruno Coudoin <bcoudoin@src.gnome.org>2008-09-28 14:47:07 (GMT)
commite3729e0b3069caf12916671cab13ba368fabe8af (patch)
treefac3657175fb476cc4ad9487934459d30da05a3a
parent16d63fa78f93bcf634dbb3e59e463861990b39cf (diff)
updated for olpc xo 8.2. Now bundle name does not contains underscores.
svn path=/branches/gcomprixo/; revision=3551
-rw-r--r--src/activity.info4
-rwxr-xr-xsrc/bundleit.sh13
-rw-r--r--tools/README_FULL_XO_BUNDLE.txt8
-rw-r--r--tools/full-xo-bundle-add-on.tzfbin4862 -> 4906 bytes
-rwxr-xr-xtools/full_xo_bundle.sh41
5 files changed, 54 insertions, 12 deletions
diff --git a/src/activity.info b/src/activity.info
index ec9c91f..2b1a4f3 100644
--- a/src/activity.info
+++ b/src/activity.info
@@ -1,8 +1,10 @@
[Activity]
name = @ACTIVITY_NAME@
-activity_version = 8
+activity_version = 10
host_version = 1
service_name = net.gcompris.@ACTIVITY_NAME@Activity
+bundle_id = net.gcompris.@ACTIVITY_NAME@Activity
icon = activity-gcompris
exec = gcompris-activity
show_launcher = yes
+license = GPLv3+
diff --git a/src/bundleit.sh b/src/bundleit.sh
index 83ae899..bb749de 100755
--- a/src/bundleit.sh
+++ b/src/bundleit.sh
@@ -46,8 +46,10 @@ else
fi
if test "$activitysrc" = "administration-activity" || \
+ test "$activitysrc" = "chat-activity" || \
test "$activitysrc" = "tuxpaint-activity" || \
test "$activitysrc" = "melody-activity" || \
+ test "$activitysrc" = "login-activity" || \
test "$activitysrc" = "gcompris-activity" || \
test "$activitysrc" = "old-gcompris-activity" ; then
echo " Skipping it, not relevant for xo or not ready for it."
@@ -80,6 +82,11 @@ else
ERROR " ERROR: Cannot find $activitysrc/init_path.sh"
fi
+# Bundle names must be formated without underscores
+# This translate chess_computer in chessComputer
+bundle_id=`echo $activity | sed 's/_\([a-z]\)/\U\1/g'`
+echo $bundle_id
+
# Create the Sugar specific startup scripts
activity_dir=${activity}.activity
if [ -d $activity_dir ]
@@ -93,7 +100,7 @@ mkdir -p $activity_dir/activity
mkdir -p $activity_dir/bin
mv $activity_dir/*.svg $activity_dir/activity/activity-gcompris.svg
cp activity.info $activity_dir/activity
-sed -i s/@ACTIVITY_NAME@/$activity/g $activity_dir/activity/activity.info
+sed -i s/@ACTIVITY_NAME@/$bundle_id/g $activity_dir/activity/activity.info
cp old-gcompris-instance $activity_dir/
cp old-gcompris-factory $activity_dir/
cp old-gcompris-activity $activity_dir/
@@ -152,8 +159,8 @@ if [ "$haspyfile" != "" ]; then
fi
# Add the timers skin if needed (python activity don't use it)
+with_clock="--exclude resources/skins/gartoon/timers"
if [ "$haspyfile" = "" ]; then
- with_clock="--exclude resources/skins/gartoon/timers"
has_timer=`egrep "gc_timer_display|timers/clock" $plugindir/../*.c`
if test "$has_timer" != ""; then
echo " Adding timers/clock files"
@@ -185,4 +192,4 @@ tar -tjf $activity_dir.tar.bz2 | zip $activity_dir.xo -@ > /dev/null
# Sugar cleanup
rm -rf $activity_dir
-rm $activity_dir.tar.bz2 \ No newline at end of file
+rm $activity_dir.tar.bz2
diff --git a/tools/README_FULL_XO_BUNDLE.txt b/tools/README_FULL_XO_BUNDLE.txt
deleted file mode 100644
index 9099450..0000000
--- a/tools/README_FULL_XO_BUNDLE.txt
+++ /dev/null
@@ -1,8 +0,0 @@
-To create a full GCompris bundle on the OLPC xo:
-mkdir /tmp/gcompris.activity
-sh autogen.sh --enable-dbus --disable-sqlite --prefix=/tmp/gcompris.activity
-make
-make install
-tar -C /tmp/gcompris.activity -xzf full-xo-bundle-add-on.tzf
-cd /tmp
-zip -r gcompris.activity.xo gcompris.activity
diff --git a/tools/full-xo-bundle-add-on.tzf b/tools/full-xo-bundle-add-on.tzf
index 3fffcae..047bdcb 100644
--- a/tools/full-xo-bundle-add-on.tzf
+++ b/tools/full-xo-bundle-add-on.tzf
Binary files differ
diff --git a/tools/full_xo_bundle.sh b/tools/full_xo_bundle.sh
new file mode 100755
index 0000000..3883c6a
--- /dev/null
+++ b/tools/full_xo_bundle.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+# Run it in the topp level GCompris directory
+set -x
+if test ! -f gcompris.png; then
+ echo "You must run this script in the top level GCompris directory"
+ exit 1
+fi
+# To create a full GCompris bundle on the OLPC xo:
+mkdir /tmp/gcompris.activity
+sh autogen.sh --enable-dbus --disable-sqlite --prefix=/tmp/gcompris.activity
+make
+make install
+tar -C /tmp/gcompris.activity -xzf tools/full-xo-bundle-add-on.tzf
+
+# The full bundle follow the release found in src/activity.info
+release=`grep activity_version src/activity.info | cut -d= -f2 | sed "s/ //"`
+sed -i "s/@RELEASE@/$release/" /tmp/gcompris.activity/activity/activity.info
+
+# Keep only some locale voices relevant to XO targets
+cd /tmp/gcompris.activity/share/gcompris/boards/voices
+rm -rf ar bg br cs da de el eu fi fr he hi HOWTO_ENCODE hu id it mr nb nl nn ru so sr sv tr ur
+
+# Copy extra binaries
+extra_bin=`which gnuchess`
+if [ "$extra_bin" = "" ]; then
+ extra_bin=`which gnome-gnuchess`
+ if [ "$extra_bin" = "" ]; then
+ ERROR " ERROR: Cannot find gnuchess or gnome-gnuchess"
+ fi
+fi
+cp $extra_bin /tmp/gcompris.activity/bin
+
+extra_bin=`which gnucap`
+if [ "$extra_bin" = "" ]; then
+ ERROR " ERROR: Cannot find gnucap"
+fi
+cp $extra_bin /tmp/gcompris.activity/bin
+
+cd /tmp
+rm gcompris.activity.xo
+zip -r gcompris.activity.xo gcompris.activity